Description

I'm trying to sync my KSP saves using Bittorent Sync. It puts a hidden .sync folder in the saves directory. KSP attempts to read this
directory and then is unable to load the save games. Deleting the .sync folder allows the save games to be played.

KSP should ignore hidden/dot files and directories when attempting to load saved games.

History

#1 - 11/18/2014 05:13 PM - quietghost

- Tracker changed from Bug to Feedback
- Platform Any added

- Platform deleted (Windows)

Marked as feedback.

#2 - 11/19/2014 08:22 PM - Ruedii

What Operating System was this observed on. Linux keeps a file ".directory" in any directory that it has viewed been viewed in a freedesktop.org
compliant file manager (.directory is used to store file manager view settings, icon settings, as well as tell the file manager where to find thumbnail
caches and trashes if any of those things aren't the defaults.)

The .directory file does not seem to bother KSP.

I will try creating a ".test" and then a ".sync" to see if it's an issue specific to that file. However, | suspect the issue is OS specific.

#3 - 11/19/2014 08:34 PM - MarkRobinson

| observed it on Windows. |didn't try it on Linux.

#4 - 11/19/2014 10:26 PM - Ruedii

- Platform Windows added

- Platform deleted (Any)

OK, I set the platform to Windows.

I'm going to test on Linux some now. | just finished testing one of my old bugs on my completely unmodded install. Now onto this one.
#5 - 11/20/2014 03:09 AM - Ruedii

It does not affect Linux at all.

Are you sure it was the file, and not that bittorrent might have locked some of the files from access during the load cycle?

#6 - 11/20/2014 02:46 PM - Ruedii

- Platform Any added
- Platform deleted (Windows)
OK, I can confirm that this happens if ANY directory without a savefile is in the save directory, and you chose to ignore it.
It should just ignore it when you chose to ignore it, but it instead glitches entirely.

#7 - 11/20/2014 03:12 PM - Squelch

- Status changed from New to Confirmed

- Severity changed from Low to Normal

- % Done changed from 0 to 10
I've been able to confirm this problem, and it has highlighted a savefile error handling issue too. It will be forwarded to the devs for attention.
To mitigate the problem in the short term, it might be worth syncing the whole KSP folder, but filter it with a *.* ignore, followed by an include for the

saves folder. This will have the effect of placing the .sync folder in the root of KSP and therefore avoid the error. This advice goes for any sync or
versioning system that might place any "unsanctioned" folder in the saves folder.

#8 - 11/20/2014 04:08 PM - Squelch
- Tracker changed from Feedback to Bug

Due to the hang caused by ignoring the error, this is confirmed as a bug.
The filtering of non-save folder suggestion has been taken forward.

#9 - 11/20/2014 07:09 PM - Ruedii
To be extra through, any directory without a .sfs file containing a GAME({} data structure should be ignored.
This way any conflicting file management program that uses the extension .sfs won't cause issues either.

#10 - 11/26/2014 10:43 AM - Squelch

- Subject changed from KSP is unable to load save game files if there are any dot-files in the save directory to KSP is unable to load save game files if
there are any non save dot-folders in the save directory

#11 - 11/19/2015 04:55 PM - sal_vager
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100
Fixed prior to 1028.

#12 - 07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed

05/15/2024 22


http://www.tcpdf.org

